// ---------------------------------------------------------------
// MinusNode - Subtract right node from left
// ---------------------------------------------------------------

import java.util.HashMap;
   
public class MinusNode extends BinaryNode
{
   public MinusNode(Node left, Node right)
   {
      super(left, right);
   }

   public char getSymbol() { return('-'); }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(getLeft().evaluate(env) - getRight().evaluate(env));
   }
}
