// ---------------------------------------------------------------
// DivideNode - Divide left node by right
// ---------------------------------------------------------------

import java.util.HashMap;
   
public class DivideNode extends BinaryNode
{
   public DivideNode(Node left, Node right)
   {
      super(left, right);
   }

   public char getSymbol() { return('/'); }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(getLeft().evaluate(env) / getRight().evaluate(env));
   }
}
