// ------------------------------------------------------------------
// TokenNode - Subclass of Node to hold our Token until we determine
//             how to process it
// ------------------------------------------------------------------

import java.util.HashMap;

public class TokenNode extends Node
{
   public TokenNode(Token theToken)
   {
      mToken = theToken;
   }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(0.0);
   }

   public Token getToken()
   {
      return(mToken);
   }

   public String toString()
   {
      return(mToken.toString());
   }

   private Token mToken;
}
