// ---------------------------------------------------------------
// UnaryMinusNode - Return our argument negated
// ---------------------------------------------------------------

import java.util.HashMap;
   
public class UnaryMinusNode extends Node
{
   public UnaryMinusNode(Node n)
   {
      mNode = n;
   }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(-mNode.evaluate(env));
   }

   public String toString()
   {
      return("-" + mNode.toString());
   }

   private Node mNode;
}
